iir1: Iir::ChebyshevI::BandStop< FilterOrder, StateType > Struct Template Reference

iir1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Iir::ChebyshevI::BandStop< FilterOrder, StateType > Struct Template Reference

`#include <ChebyshevI.h>`

Inheritance diagram for Iir::ChebyshevI::BandStop< FilterOrder, StateType >:

## Public Member Functions
void | setup (double sampleRate, double centerFrequency, double widthFrequency, double rippleDb)
void | setup (int reqOrder, double sampleRate, double centerFrequency, double widthFrequency, double rippleDb)
void | setupN (double centerFrequency, double widthFrequency, double rippleDb)
void | setupN (int reqOrder, double centerFrequency, double widthFrequency, double rippleDb)
Public Member Functions inherited from Iir::CascadeStages< MaxStages, StateType >
void | reset ()
void | setup (const double(&sosCoefficients)[MaxStages][6])
template<typename Sample >
Sample | filter (const Sample in)
const Cascade::Storage | getCascadeStorage ()

## Detailed Description

template<int FilterOrder = 4, class StateType = DirectFormII>
struct Iir::ChebyshevI::BandStop< FilterOrder, StateType >

ChebyshevI bandstop filter

Parameters

  FilterOrder | Reserves memory for a filter of the order FilterOrder
  StateType | The filter topology: DirectFormI, DirectFormII, ...

## Member Function Documentation

## ◆ setup() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::BandStop< FilterOrder, StateType >::setup | ( | double | sampleRate,
|  | double | centerFrequency,
|  | double | widthFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at the order FilterOrder

Parameters

  sampleRate | Sampling rate
  centerFrequency | Center frequency of the notch
  widthFrequency | Frequency with of the notch
  rippleDb | Permitted ripples in dB in the passband

## ◆ setup() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::BandStop< FilterOrder, StateType >::setup | ( | int | reqOrder,
|  | double | sampleRate,
|  | double | centerFrequency,
|  | double | widthFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at specified order

Parameters

  reqOrder | Actual order for the filter calculations
  sampleRate | Sampling rate
  centerFrequency | Center frequency of the notch
  widthFrequency | Frequency with of the notch
  rippleDb | Permitted ripples in dB in the passband

## ◆ setupN() [1/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::BandStop< FilterOrder, StateType >::setupN | ( | double | centerFrequency,
|  | double | widthFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at the order FilterOrder

Parameters

  centerFrequency | Normalised centre frequency (0..1/2) of the notch
  widthFrequency | Frequency width of the notch
  rippleDb | Permitted ripples in dB in the passband

## ◆ setupN() [2/2]

template<int FilterOrder = 4, class StateType = DirectFormII>

void Iir::ChebyshevI::BandStop< FilterOrder, StateType >::setupN | ( | int | reqOrder,
|  | double | centerFrequency,
|  | double | widthFrequency,
|  | double | rippleDb
| ) |  |
| inline

Calculates the coefficients of the filter at specified order

Parameters

  reqOrder | Actual order for the filter calculations
  centerFrequency | Normalised centre frequency (0..1/2) of the notch
  widthFrequency | Frequency width of the notch
  rippleDb | Permitted ripples in dB in the passband

The documentation for this struct was generated from the following file:

- iir/ChebyshevI.h